List Reactions (POST)
Lists the reactors for an object.
Required scopes: Requires the read or write scope of the parent object's type (e.g. issue:write when posting to an issue's timeline).
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The cursor to resume iteration from, otherwise if not provided, then iteration starts from the beginning.
textThe emoji to list the reactors for. This can be the short name of the emoji (e.g. "joy"), or the code point (e.g. "1f602"). If not provided, all reactions for the object are returned.
textThe maximum number of reactors to return.
int32The ID of the object to list reactors for.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/reactions.list" \ -H "Content-Type: application/json" \ -d '{ "object": "don:core:dvrv-us-1:devo/example:ticket/123:comment/comment-id" }'{
"emojis": [
"string"
],
"next_cursor": "string",
"reactors": [
{
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}List Timeline Entries GET
Lists the timeline entries for an object. **Required scopes:** Requires the read or write scope of the parent object's type (e.g. issue:write when posting to an issue's timeline).
List Reactions GET
Lists the reactors for an object. **Required scopes:** Requires the read or write scope of the parent object's type (e.g. issue:write when posting to an issue's timeline).